Subject: Re: Issue 05 was (lease expiration, stable storage (was "questions/comments on draft-ietf-nfsv4-rfc3010bis-02-04.txt")

From: David Robinson <[email-masked]>
Date: Thu, 22 Aug 2002 12:13:49 -0500 (CDT)

> I think if the server simply recorded the fact that client established
> a lock after a server incarnation, it would not be necessary for
> the server to keep re-recording this information. That seems to be
> equivalent to what you wrote regarding Spritely NFS epochs.

Not to dictate implementations, but one mechanism to minimize
the stable state would be for a server to assign for the purpose
of crash recovery a range of stateids to each client. Only when
the range is exhausted would the stable storage need to be
refreshed. Care would be needed not to reuse ranges too quickly.

	-David